com.fasterxml.jackson.dataformat.javaprop.io

## Class Latin1Reader

- java.lang.Object
- - java.io.Reader
  - - com.fasterxml.jackson.dataformat.javaprop.io.Latin1Reader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Readable

      public final class Latin1Reader
      extends Reader

  Optimized Reader that reads ISO-8859-1 encoded content from an input stream. The reason for custom implementation is that this allows recycling of underlying read buffer, which is important for small content.

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Latin1Reader(byte[] buf, int ptr, int len)`
    `Latin1Reader(com.fasterxml.jackson.core.io.IOContext ctxt, InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getReadCharsCount()`
    `int` | `read()`
    `int` | `read(char[] cbuf)`
    `int` | `read(char[] cbuf, int start, int len)`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, read, ready, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Latin1Reader

          public Latin1Reader(byte[] buf,
                      int ptr,
                      int len)

    - #### Latin1Reader

          public Latin1Reader(com.fasterxml.jackson.core.io.IOContext ctxt,
                      InputStream in)

  - ### Method Detail

    - #### getReadCharsCount

          public int getReadCharsCount()

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Reader`
      Throws:
        `IOException`

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `Reader`
      Throws:
        `IOException`

    - #### read

          public int read(char[] cbuf)
                   throws IOException

      Overrides:
        `read` in class `Reader`
      Throws:
        `IOException`

    - #### read

          public int read(char[] cbuf,
                 int start,
                 int len)
                   throws IOException

      Specified by:
        `read` in class `Reader`
      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.